# Gallery Gambling Privacy Notice
Gallery Gambling ("the app") is a free game application written by Rufus Linke ("me") in which you play rock paper scissors with other people for your photos - the twist is that photos placed as your bet are chosen automatically and secretly by the app from your phone's camera storage. 

Although the idea of the game itself is to reveal personal data in the form of photos, it fully respects your data privacy and never collects any other data except for that needed to play the game.
  
In short:
* photos are only shared with the people you play with (and only in case you lose)
* photos are end-to-end encrypted (so they cannot be seen by me)
* photos are deleted from the servers immediately when a game has ended for both players
* photos are not saved to the players' devices and screenshots are prevented

This privacy notice will now explain in detail how and what personal data is collected from you when you use Gallery Gambling.

## Collected data
This section describes the data that the app collects when you play it. Each subsection introduces a category of data and explains how and why this data is collected.

### Account registration
#### What data?
* A username that you freely choose when registering. The username is a pseudonym defined by yourself and does not convey any reference to your person unless you decide to do so (e.g. by using your real name as your username).
* A password that you will use to sign in to the app with your username.

#### How is this data collected?
You type the username and password when signing up for a user account.

#### Why is this data collected and what is it used for?
* Username and password are required to authenticate when logging in to the app.
* Your username will also be shown to other players through a player search functionality in the app. This is required to find people to play with.
* Your username will be shown to people you invite for the game so they know who invited them.

### Images from your phone storage
#### What data?
One randomly and secretly picked photo from your phone's camera folders for each game you play.

#### How is this data collected?
Whenever you start a game with another player, Gallery Gambling will access you phone's storage to select a random image from the camera image folders. 

The app requires storage permission to your device for this purpose.

The image selection process is automatic and secret, that is, when you start a game, you won't be able to interrupt it or see which image file was picked by the app.
These images are end-to-end encrypted before being transferred to the Gallery Gambling servers so that only the two players participating in the game are potentially able to decrypt and see them. Especially me as the server operator won't be able to decrypt and see any of the original image data.

#### Why is this data collected and what is it used for?
Playing for a random image is the core idea behind the game. When a new game starts, a random image from each of the two players is placed as a bet. When the game ends, the loser's image will be revealed to both players. The winner's image will not be shown.
Both images are deleted from the servers after both players saw the loser's image. Images can only be shown once and are not saveable.

### Server logs
#### What data?
Information about requests to the Gallery Gambling servers may be logged (e.g. your IP address, accessed URI, return status code).

#### How is this data collected?
The data is collected automatically whenever the app performs a request to the app's servers.

#### Why is this data collected and what is it used for?
Request logs are created for technical purposes like peformance evaluation, maintenance and error fixing with the goal to provide service stability and to improve the application.

## Third-party services
### Firebase Cloud Messaging
Firebase Cloud Messaging is a third party service provided by Google to deliver push notifications to your phone. For detailed terms see their data privacy and security documents at https://policies.google.com/privacy, https://firebase.google.com/support/privacy/ and https://firebase.google.com/terms/data-processing-terms. 

#### What data?
Firebase Cloud Messaging generates a unique id by which your phone can be identified for delivering push notifications.

#### How is this data collected?
Whenever you log in to the app or a new id is generated by Firebase, this Firebase Cloud Messaging id is sent to the Gallery Gambling servers.

#### Why is this data collected and what is it used for?
Push notifications to your phone are required to show updates of the progress in a game without having to manually refresh a game's state. 
E.g. when you are requested to make a game move, the app will be notified of this event and show the appropriate animation (when the app is running and in the game) or present a notification in your phone's system bar (when the app is not running or in the background).

### Firebase Crashlytics
Firebase Crashlytics is a third party service provided by Google for collecting and reporting crashes of the app and unexpected errors. For detailed terms see their data privacy and security documents at https://policies.google.com/privacy, https://firebase.google.com/support/privacy/ and https://firebase.google.com/terms/crashlytics-app-distribution-data-processing-terms.

#### What data?
* error reports (error descriptions and stack traces)
* installation UUID
* device information like phone vendor, model, memory, os version etc.

#### How is this data collected?
The data is collected automatically when the app encouters an expected error or crash.

#### Why is this data collected and what is it used for?
Crash and device information is needed to find and fix issues within the app and thus to improve its quality for a better user experience.

### Firebase Dynamic Links
Firebase Dynamic Links is a third party service provided by Google for generating links that allow for directly navigating to pages or content in installed apps. If an app is not installed yet on the device opening such a link, the user is provided with the option of installing the associated app. For detailed terms see their data privacy and security documents at https://policies.google.com/privacy, https://firebase.google.com/support/privacy/ and https://firebase.google.com/terms/data-processing-terms.

#### What data?
* your username will be encoded in generated invitation links

#### How is this data collected?
Whenever you use the invite function to invite someone from outside the app to play with you, a Firebase Dynamic Link will be generated that contains your username.

#### Why is this data collected and what is it used for?
The username is contained in the generated invitation link to tell the invited player who he was invited by.

## Where is my data stored?
The Gallery Gambling servers are hosted at Contabo in Germany: https://contabo.com/?show=data_centers

All data transfers are using transport encryption.

For storage location information of third party services, please follow the links to their policies.

## How long will my data be stored?
* Your account will be stored until you decide you don't want to play anymore and delete it. You can delete your account and all associated data by choosing "account settings"->"delete account" from within the app (while you are logged in).
* Game related data (e.g. participants of a game, encrypted photos, turns) will only be stored for the duration of a game. Once a game ends, it is fully deleted.
* Server logs files are kept for one week and get deleted after this period.
* For details about data retention of third party services, please follow the links to their policies.

## What are your data protection rights?
I would like to make sure you are fully aware of all of your data protection rights. Every user is entitled to the following:

### The right to access 
You have the right to request information about personal data stored about you and to obtain copies of your personal data.

### The right to rectification 
You have the right to request that I correct any information you believe is inaccurate. You also have the right to request me to complete the information you believe is incomplete.

### The right to erasure
You have the right to request that I erase your personal data.

### The right to restrict processing 
You have the right to request that I restrict the processing of your personal data, under certain conditions.

### The right to data portability
You have the right to obtain your personal data in a machine-readable, transferrable format.

### The right to object to processing
You have the right to object to my processing of your personal data, under certain conditions.

## How to contact me
If you have any questions about this privacy notice or you would like to exercise one of your data protection rights, please contact me via email to

[support@naturallygrownapps.de](mailto:support@naturallygrownapps.de)

## Changes to this privacy notice
I keep this privacy notice under regular review and place any updates into the app and on the website. 

This privacy notice was last updated on 30 May 2020.
